#!/bin/bash
echo "************************************************************"
echo "* Prepare Large case in $bench_dir"
echo "************************************************************"
if [[ $HOSTNAME = *"occigen"* ]]; then
	source ../machines/occigen-bdw/env
	mkdir -p $bench_dir/testcase_large/
	lfs setstripe -c 60 $bench_dir/testcase_large/  # ? squareroot(3600)=60
	tar xvf /store/CINES/dci/SHARED/abs/ramses/input.tar -C $bench_dir/testcase_large/.
	tar xvf /store/CINES/dci/SHARED/abs/ramses/PROD.tar -C $bench_dir/testcase_large/.
elif [[ $HOSTNAME = *"jean-zay"* ]]; then
	source ../machines/jean-zay-cpu/env
	mkdir -p $bench_dir/testcase_large/
	tar xvf $SCRATCH/abs/ramses/input_big.tar -C $bench_dir/testcase_large/.
	tar xvf $SCRATCH/abs/ramses/PROD_BIG.tar -C $bench_dir/testcase_large/.
elif [[ $HOSTNAME = *"irene"* ]]; then
	source ../machines/irene-amd/env
	mkdir -p $bench_dir/testcase_large/
	lfs setstripe -c 60 $bench_dir/testcase_large/  # ? squareroot(3600)=60
        tar xvf  $CCCSCRATCHDIR/abs/ramses/input_big.tar -C $bench_dir/testcase_large/.
	tar xvf  $CCCSCRATCHDIR/abs/ramses/PROD_BIG.tar -C $bench_dir/testcase_large/.
else
	echo "Hostname not recognized: abort"
	exit 1
fi
cp $bench_dir/testcase_large/PROD_BIG/cosmo.nml $bench_dir/testcase_large/.
echo "************************************************************"
echo "* End Prepare large case "
echo "************************************************************"
