#!/bin/bash
echo "************************************************************"
echo "* Prepare medium case in $bench_dir"
echo "************************************************************"
if [[ $HOSTNAME = *"occigen"* ]]; then
	source ../machines/occigen-bdw/env
	mkdir -p $bench_dir/testcase_medium/
	lfs setstripe -c 18 $bench_dir/testcase_medium/  # ? squareroot(330)~18
	tar xvf /store/CINES/dci/SHARED/abs/ramses/input.tar -C $bench_dir/testcase_medium/.
	tar xvf /store/CINES/dci/SHARED/abs/ramses/PROD.tar -C $bench_dir/testcase_medium/.
elif [[ $HOSTNAME = *"jean-zay"* ]]; then
	source ../machines/jean-zay-cpu/env
	mkdir -p $bench_dir/testcase_medium/
	tar xvf $SCRATCH/abs/ramses/input.tar -C $bench_dir/testcase_medium/.
	tar xvf $SCRATCH/abs/ramses/PROD.tar -C $bench_dir/testcase_medium/.
elif [[ $HOSTNAME = *"irene"* ]]; then
	source ../machines/irene-amd/env
	mkdir -p $bench_dir/testcase_medium/
	lfs setstripe -c 18  $bench_dir/testcase_medium/ # ? squareroot(330)~18 
	tar xvf  $CCCSCRATCHDIR/abs/ramses/input.tar -C $bench_dir/testcase_medium/.
	tar xvf  $CCCSCRATCHDIR/abs/ramses/PROD.tar -C $bench_dir/testcase_medium/.
else
	echo "Hostname not recognized: abort"
	exit 1
fi
cp $bench_dir/testcase_medium/PROD/cosmo.nml $bench_dir/testcase_medium/.
echo "************************************************************"
echo "* End Prepare medium case "
echo "************************************************************"
